## Description

perform streamlines tracking.

syntax: streamtrack [ options ] type source tracks

## Arguments

type | the type of streamlines tracking to be performed. Allowed types are DT_STREAM, SD_STREAM, SD_PROB.
source | the image containing the source data. The type of data required depends on the type of tracking as set in the preceeding argument. For DT methods, the base DWI are needed. For SD methods, the SH harmonic coefficients of the FOD are needed.
tracks | the output file containing the tracks generated.

## Options

-seed spec

specify the seed region of interest.

spec | specifies the parameters necessary to define the ROI. This should be either the path to a binary mask image, or a comma-separated list of 4 floating-point values, specifying the [x,y,z] coordinates of the centre and radius of a spherical ROI.

-include spec

specify an inclusion region of interest, in the same format as the seed region. Only tracks that enter all such inclusion ROI will be produced.

spec | specifies the parameters necessary to define the ROI.

-exclude spec

specify an exclusion region of interest, in the same format as the seed region. Only tracks that enter any such exclusion ROI will be discarded.

spec | specifies the parameters necessary to define the ROI.

-mask spec

specify a mask region of interest, in the same format as the seed region. Tracks will be terminated when they leave any such ROI.

spec | specifies the parameters necessary to define the ROI.

-step size

set the step size of the algorithm.

size | the step size to use in mm (default is 0.2 mm).

-curvature radius

set the minimum radius of curvature (default is 2 mm for DT_STREAM, 0 for SD_STREAM, 1 mm for SD_PROB and DT_PROB).

radius | the radius of curvature to use in mm.

-grad scheme

specify the diffusion encoding scheme (may be required for DT_STREAM, ignored otherwise).

scheme | the DW gradient file.

-number tracks

set the desired number of tracks. The program will continue to generate tracks until this number of tracks have been selected and written to the output file (default is 100 for *_STREAM methods, 1000 for *_PROB methods).

tracks | the number of tracks.

-maxnum tracks

set the maximum number of tracks to generate. The program will not generate more tracks than this number, even if the desired number of tracks hasn't yet been reached (default is 100 x number).

tracks | the maximum number of tracks.

-length value

set the maximum length of any track.

value | the maximum length to use in mm (default is 200 mm).

-minlength value

set the minimum length of any track.

value | the minimum length to use in mm (default is 10 mm).

-cutoff value

set the FA or FOD amplitude cutoff for terminating tracks (default is 0.1).

value | the cutoff to use.

-initcutoff value

set the minimum FA or FOD amplitude for initiating tracks (default is twice the normal cutoff).

value | the initial cutoff to use.

-stop | stop track as soon as it enters any of the include regions.
-nomaskinterp | do NOT perform tri-linear interpolation of mask images.

-trials number

set the maximum number of sampling trials at each point (only used for probabilistic tracking).

number | the number of trials.

-unidirectional | track from the seed point in one direction only (default is to track in both directions).

-initdirection dir

specify an initial direction for the tracking.

dir | the vector specifying the initial direction.

-noprecomputed | do NOT pre-compute legendre polynomial values. Warning: this will slow down the algorithm by a factor of approximately 4.
-info | display information messages.
-quiet | do not display information messages or progress status.
-debug | display debugging messages.
-help | display this information page and exit.
-version | display version information and exit.